Bug 117991 - crash on imap folder subscription
Summary: crash on imap folder subscription
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail
Classification: Applications
Component: IMAP (show other bugs)
Version: 1.9
Platform: unspecified Linux
: NOR crash with 41 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 122473 143474 144097 144154 160882 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-12-09 12:48 UTC by arutha
Modified: 2010-04-06 00:23 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
output of valgrind kmail (51.15 KB, text/plain)
2006-01-08 22:06 UTC, Jos Delbar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description arutha 2005-12-09 12:48:29 UTC
Version:           1.9 (using KDE 3.5.0, Gentoo)
Compiler:          gcc version 3.3.6 (Gentoo 3.3.6, ssp-3.3.6-1.0, pie-8.7.8)
OS:                Linux (i686) release 2.6.12.5

When I (un)subscribe a folder on my imap server (courier if this might be important) kmail crashes. The action is taken (on restart folder is (un)subscribed) but kmail crashes. Unfortunately I can't send a backtrace but perhaps the crash is easily found ...
Comment 1 Jos Delbar 2005-12-10 19:13:17 UTC
Almost similar situation here, with KDE 3.5.0, gcc 3.4.4, kernel 2.6.14.

When I attempt to view the subscriptions window for my IMAP account, the windows come up for a split second and then KMail crashes.

Everything was fine in earlier versions of KMail (i.e. KDE 3.4.3 and below). Could this be due to the new namespaces implementation? When I configure my IMAP account, no personal or other namespaces are retrieved from the server.

Backtrace:

(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1241065792 (LWP 8985)]
[New Thread -1278817360 (LWP 8991)]
[New Thread -1270424656 (LWP 8990)]
[New Thread -1262031952 (LWP 8989)]
[New Thread -1253639248 (LWP 8988)]
[KCrash handler]
#4  0xb6ace2e2 in QString::operator= () from /usr/qt/3/lib/libqt-mt.so.3
#5  0xb5928a64 in KMail::SubscriptionDialog::processNext ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#6  0xb592928f in KMail::SubscriptionDialog::createItems ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#7  0xb592a061 in KMail::SubscriptionDialog::slotListDirectory ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#8  0xb592a41e in KMail::SubscriptionDialog::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#9  0xb67dea14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#10 0xb56c6be7 in KMail::ListJob::receivedFolders ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#11 0xb58c6a0c in KMail::ListJob::slotListResult ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#12 0xb58c6ad7 in KMail::ListJob::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#13 0xb67dea14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#14 0xb73d7afd in KIO::Job::result () from /usr/kde/3.5/lib/libkio.so.4
#15 0xb7405a1c in KIO::Job::emitResult () from /usr/kde/3.5/lib/libkio.so.4
#16 0xb7430e3c in KIO::SimpleJob::slotFinished ()
   from /usr/kde/3.5/lib/libkio.so.4
#17 0xb74311e6 in KIO::ListJob::slotFinished ()
   from /usr/kde/3.5/lib/libkio.so.4
#18 0xb743381b in KIO::ListJob::qt_invoke () from /usr/kde/3.5/lib/libkio.so.4
#19 0xb67dea14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#20 0xb67df1ac in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#21 0xb73d5a7c in KIO::SlaveInterface::finished ()
   from /usr/kde/3.5/lib/libkio.so.4
#22 0xb7426846 in KIO::SlaveInterface::dispatch ()
   from /usr/kde/3.5/lib/libkio.so.4
#23 0xb7403313 in KIO::SlaveInterface::dispatch ()
   from /usr/kde/3.5/lib/libkio.so.4
#24 0xb73f96db in KIO::Slave::gotInput () from /usr/kde/3.5/lib/libkio.so.4
#25 0xb74015b8 in KIO::Slave::qt_invoke () from /usr/kde/3.5/lib/libkio.so.4
#26 0xb67dea14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#27 0xb67df03b in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#28 0xb6b3c7d0 in QSocketNotifier::activated ()
   from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb67fbd90 in QSocketNotifier::event () from /usr/qt/3/lib/libqt-mt.so.3
#30 0xb677a98f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#31 0xb677ab2c in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#32 0xb6ee8df5 in KApplication::notify ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#33 0xb676e133 in QEventLoop::activateSocketNotifiers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#34 0xb672671c in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#35 0xb6791501 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb6779b2f in QApplication::enter_loop () from /usr/qt/3/lib/libqt-mt.so.3
#37 0xb6975092 in QDialog::exec () from /usr/qt/3/lib/libqt-mt.so.3
#38 0xb7220e56 in KMessageBox::createKMessageBox ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#39 0xb7221a50 in KMessageBox::createKMessageBox ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#40 0xb7225d27 in KMessageBox::questionYesNoCancelWId ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#41 0xb7225e80 in KMessageBox::questionYesNoCancel ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#42 0xb5718673 in KMail::SubscriptionDialog::show ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#43 0xb697507e in QDialog::exec () from /usr/qt/3/lib/libqt-mt.so.3
#44 0xb592a943 in KMMainWidget::slotSubscriptionDialog ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#45 0xb5985d68 in KMMainWidget::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#46 0xb67dea14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#47 0xb6b3b9ed in QSignal::signal () from /usr/qt/3/lib/libqt-mt.so.3
#48 0xb67f9761 in QSignal::activate () from /usr/qt/3/lib/libqt-mt.so.3
#49 0xb68ef677 in QPopupMenu::mouseReleaseEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#50 0xb70e4011 in KPopupMenu::mouseReleaseEvent ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#51 0xb6818ada in QWidget::event () from /usr/qt/3/lib/libqt-mt.so.3
#52 0xb677a98f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#53 0xb677ad52 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#54 0xb6ee8df5 in KApplication::notify ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#55 0xb6713cbc in QETWidget::translateMouseEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#56 0xb6712378 in QApplication::x11ProcessEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#57 0xb6726195 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#58 0xb6791501 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#59 0xb6779b2f in QApplication::enter_loop () from /usr/qt/3/lib/libqt-mt.so.3
#60 0xb68f323f in QPopupMenu::exec () from /usr/qt/3/lib/libqt-mt.so.3
#61 0xb58d8b98 in KMFolderTree::slotContextMenuRequested ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#62 0xb5926fda in KMFolderTree::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#63 0xb67dea14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#64 0xb6b4efd5 in QListView::contextMenuRequested ()
   from /usr/qt/3/lib/libqt-mt.so.3
#65 0xb68c95e4 in QListView::contentsContextMenuEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#66 0xb68fbf55 in QScrollView::viewportContextMenuEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#67 0xb68fdf19 in QScrollView::eventFilter () from /usr/qt/3/lib/libqt-mt.so.3
#68 0xb68cb258 in QListView::eventFilter () from /usr/qt/3/lib/libqt-mt.so.3
#69 0xb56bdfcf in KMFolderTree::eventFilter ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#70 0xb67dbe1f in QObject::activate_filters ()
   from /usr/qt/3/lib/libqt-mt.so.3
#71 0xb67dbef4 in QObject::event () from /usr/qt/3/lib/libqt-mt.so.3
#72 0xb681854f in QWidget::event () from /usr/qt/3/lib/libqt-mt.so.3
#73 0xb677a98f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#74 0xb677af39 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#75 0xb6ee8df5 in KApplication::notify ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#76 0xb6713e3d in QETWidget::translateMouseEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#77 0xb6712378 in QApplication::x11ProcessEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#78 0xb6726195 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#79 0xb6791501 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#80 0xb6791456 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#81 0xb6779aff in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#82 0x08061946 in ?? ()
#83 0xbfddc660 in ?? ()
#84 0x00000001 in ?? ()
#85 0x00000001 in ?? ()
#86 0x00000000 in ?? ()
Comment 2 Carsten Burghardt 2005-12-13 17:24:30 UTC
I either need a backtrace with debug information or a test account on a server 
that behaves like this. My test server all work fine.
Comment 3 arutha 2005-12-13 17:52:39 UTC
Well the problem is not reproducable with a newly created test account on my own server (wanted to give you access to test). But now the strange thing: If I play with the subscriptions on the newly created account nothing happens, but if I then do anything with my own account, kmail crashes like before. This also happens if I play with the subscriptions on another server and then go back to my own server. So it seems to be a problem with my own account which I can not give you access to. I will try to recompile kmail with debugging symbols though  and try to give you a meaningful backtrace.
Comment 4 arutha 2005-12-13 19:56:35 UTC
Ok it seems like subscription got something to do with the problem but I managed to crash my kmail by just opening my collapsed account tree. So this is what I did: Edit subscriptions and thus make kmail crash. Start KMail and open collapsed account tree -> Crash (without doing subscription related things, they only happened before the crash and on a different account). I could work around that by supplying a false password (kmail did not crash then) and exiting kmail. After restarting kmail then everything worked ok again.

Now to the original problem: If I edit the subscription on my primary account I get a crash after clicking "ok" with the following backtrace:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1251240272 (LWP 23816)]
[KCrash handler]
#7  0xb71d79a9 in QMap<KPIM::ProgressItem*, bool>::detach (this=0x85c9678)
    at qmap.h:739
#8  0xb71d7308 in QMap<KPIM::ProgressItem*, bool>::remove (this=0x85c9678, 
    k=@0xffffffff) at qmap.h:831
#9  0xb71d512f in KPIM::ProgressItem::removeChild (this=0x85c9638, 
    kiddo=0x8612ac8) at progressmanager.cpp:74
#10 0xb71d5084 in KPIM::ProgressItem::setComplete (this=0x8612ac8)
    at progressmanager.cpp:60
#11 0xb7cc61d9 in KMail::ImapAccountBase::removeJob (this=0x83890d0, 
    it=@0xbfe2dbe0) at imapaccountbase.cpp:1178
#12 0xb7c1a45b in KMail::ListJob::slotListResult (this=0x8568588, 
    job=0x8556660) at listjob.cpp:180
#13 0xb7c1adb8 in KMail::ListJob::qt_invoke (this=0x8568588, _id=2, 
    _o=0xbfe2dcb0) at listjob.moc:128
#14 0xb5e2272c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#15 0xb6ab4ee9 in KIO::Job::result (this=0x8556660, t0=0xffffffff)
    at jobclasses.moc:162
#16 0xb6aa065c in KIO::Job::emitResult (this=0x8556660) at job.cpp:222
#17 0xb6aa1bc4 in KIO::SimpleJob::slotFinished (this=0x8556660) at job.cpp:570
#18 0xb6aa9248 in KIO::ListJob::slotFinished (this=0x8556660) at job.cpp:2080
#19 0xb6ab8ceb in KIO::ListJob::qt_invoke (this=0x8556660, _id=16, 
    _o=0xbfe2e010) at jobclasses.moc:1734
#20 0xb5e2272c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#21 0xb5e22554 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#22 0xb6a932e3 in KIO::SlaveInterface::finished (this=0xffffffff)
    at slaveinterface.moc:226
#23 0xb6a91ee3 in KIO::SlaveInterface::dispatch (this=0x8418578, _cmd=104, 
    rawdata=@0xbfe2e2b0) at slaveinterface.cpp:243
#24 0xb6a9161b in KIO::SlaveInterface::dispatch (this=0x8418578)
    at slaveinterface.cpp:173
#25 0xb6a8f23d in KIO::Slave::gotInput (this=0x8418578) at slave.cpp:300
#26 0xb6a90b5b in KIO::Slave::qt_invoke (this=0x8418578, _id=4, _o=0xbfe2e3f0)
    at slave.moc:113
#27 0xb5e2272c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#28 0xb5e2288d in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb6164b22 in QSocketNotifier::activated ()
   from /usr/qt/3/lib/libqt-mt.so.3
#30 0xb5e3edd0 in QSocketNotifier::event () from /usr/qt/3/lib/libqt-mt.so.3
#31 0xb5dc608f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#32 0xb5dc53f5 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#33 0xb646de3c in KApplication::notify (this=0xbfe2eb20, receiver=0x84063d8, 
    event=0xbfe2e800) at kapplication.cpp:550
#34 0xb5db588a in QEventLoop::activateSocketNotifiers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#35 0xb5d6ff83 in QEventLoop::processEvents () from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb5dd8478 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#37 0xb5dd8328 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#38 0xb5dc62e1 in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#39 0x0804aa38 in main (argc=-1, argv=0xffffffff) at main.cpp:110


Is there anything else I could supply?
Comment 5 Jos Delbar 2005-12-14 13:00:02 UTC
My back trace is not quite the same as arutha's, so we might be experiencing different problems.

In any case, here is the extra information supplied by the KMail debug build:

kmail: [bool KMHeaders::readSortOrder(bool, bool)]
kmail: [
0: /usr/kde/3.5/lib/libkdecore.so.4(_Z11kdBacktracei+0x47) [0xb65e5457]
1: /usr/kde/3.5/lib/libkdecore.so.4(_Z11kdBacktracev+0x2b) [0xb65e57fb]
2: /usr/kde/3.5/lib/libkmailprivate.so(_ZN9KMHeaders13readSortOrderEbb+0x4c) [0xb7d5ac5c]
3: /usr/kde/3.5/lib/libkmailprivate.so(_ZN9KMHeaders17updateMessageListEbb+0xb8) [0xb7d5cf28]
4: /usr/kde/3.5/lib/libkmailprivate.so(_ZN9KMHeaders9setFolderEP8KMFolderb+0x12d) [0xb7d5e94d]
5: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMMainWidget14folderSelectedEP8KMFolderb+0x14c) [0xb7d5999c]
6: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMMainWidget9qt_invokeEiP8QUObject+0xec9) [0xb7ddc0d9]
7: /usr/qt/3/lib/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0xca) [0xb5fcc99a]
8: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMFolderTree14folderSelectedEP8KMFolder+0xbe) [0xb7b8d62e]
9: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMFolderTree16doFolderSelectedEP13QListViewItem+0xe1) [0xb7c636e1]
10: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMFolderTree24slotContextMenuRequestedEP13QListViewItemRK6QPoint+0x86) [0xb7d491c6]
11: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMFolderTree9qt_invokeEiP8QUObject+0x112) [0xb7d8c002]
12: /usr/qt/3/lib/libqt-mt.so.3(_ZN7QObject15activate_signalEP15QConnectionListP8QUObject+0x144) [0xb5fcca14]
13: /usr/qt/3/lib/libqt-mt.so.3(_ZN9QListView20contextMenuRequestedEP13QListViewItemRK6QPointi+0xe5) [0xb633cfd5]
14: /usr/qt/3/lib/libqt-mt.so.3(_ZN9QListView24contentsContextMenuEventEP17QContextMenuEvent+0x124) [0xb60b75e4]
15: /usr/qt/3/lib/libqt-mt.so.3(_ZN11QScrollView24viewportContextMenuEventEP17QContextMenuEvent+0xa5) [0xb60e9f55]
16: /usr/qt/3/lib/libqt-mt.so.3(_ZN11QScrollView11eventFilterEP7QObjectP6QEvent+0xc9) [0xb60ebf19]
17: /usr/qt/3/lib/libqt-mt.so.3(_ZN9QListView11eventFilterEP7QObjectP6QEvent+0x68) [0xb60b9258]
18: /usr/kde/3.5/lib/libkmailprivate.so(_ZN12KMFolderTree11eventFilterEP7QObjectP6QEvent+0x46) [0xb7b8e5a6]
19: /usr/qt/3/lib/libqt-mt.so.3(_ZN7QObject16activate_filtersEP6QEvent+0x5f) [0xb5fc9e1f]
20: /usr/qt/3/lib/libqt-mt.so.3(_ZN7QObject5eventEP6QEvent+0x94) [0xb5fc9ef4]
21: /usr/qt/3/lib/libqt-mt.so.3(_ZN7QWidget5eventEP6QEvent+0x2f) [0xb600654f]
22: /usr/qt/3/lib/libqt-mt.so.3(_ZN12QApplication14internalNotifyEP7QObjectP6QEvent+0x8f) [0xb5f6898f]
23: /usr/qt/3/lib/libqt-mt.so.3(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x499) [0xb5f68f39]
24: /usr/kde/3.5/lib/libkdecore.so.4(_ZN12KApplication6notifyEP7QObjectP6QEvent+0x215) [0xb66d5df5]
25: /usr/qt/3/lib/libqt-mt.so.3(_ZN9QETWidget19translateMouseEventEPK7_XEvent+0x113d) [0xb5f01e3d]
26: /usr/qt/3/lib/libqt-mt.so.3(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xc08) [0xb5f00378]
27: /usr/qt/3/lib/libqt-mt.so.3(_ZN10QEventLoop13processEventsEj+0x105) [0xb5f14195]
28: /usr/qt/3/lib/libqt-mt.so.3(_ZN10QEventLoop9enterLoopEv+0x51) [0xb5f7f501]
29: /usr/qt/3/lib/libqt-mt.so.3(_ZN10QEventLoop4execEv+0x26) [0xb5f7f456]
30: /usr/qt/3/lib/libqt-mt.so.3(_ZN12QApplication4execEv+0x1f) [0xb5f67aff]
31: kmail(_ZN12KApplication9saveStateER15QSessionManager+0x38e) [0x804aa3a]
32: /lib/tls/libc.so.6(__libc_start_main+0xd4) [0xb5861f24]
33: kmail(_ZN7QObject16checkConnectArgsEPKcPKS_S1_+0x45) [0x804a741]
]
kmail:
kmail: delimiterForNamespace
kmail: delimiterForNamespace - not found
ASSERT: "it.node != node" in /usr/qt/3/include/qvaluelist.h (301)
kmail: Not subscribed!!!
*** KMail got signal 11 (Crashing)
KCrash: Application 'kmail' crashing...
Comment 6 Jos Delbar 2006-01-08 22:06:26 UTC
Created attachment 14183 [details]
output of valgrind kmail

Perhaps this output from running valgrind on kmail is of use to you. Is there
anything else I can do to help you track down this issue?
Comment 7 Carsten Burghardt 2006-01-09 13:54:18 UTC
Any chance to test if you still get this crash with a current checkout from 3_5_BRANCH?
Comment 8 Jos Delbar 2006-01-09 18:40:59 UTC
The latest kdepim snapshot still crashes for me. Here's a new backtrace, in case it is different:

(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1249588576 (LWP 10011)]
[New Thread -1276970064 (LWP 10016)]
[New Thread -1268577360 (LWP 10015)]
[New Thread -1260184656 (LWP 10014)]
[New Thread -1251791952 (LWP 10013)]
[KCrash handler]
#4  0xb63082e2 in QString::operator= () from /usr/qt/3/lib/libqt-mt.so.3
#5  0xb7df5276 in KMail::SubscriptionDialog::processNext ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#6  0xb7df58ea in KMail::SubscriptionDialog::createItems ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#7  0xb7df5f9f in KMail::SubscriptionDialog::slotListDirectory ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#8  0xb7df6236 in KMail::SubscriptionDialog::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#9  0xb6018a14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#10 0xb7c5a368 in KMail::ListJob::receivedFolders ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#11 0xb7c5aedf in KMail::ListJob::slotListResult ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#12 0xb7c5b009 in KMail::ListJob::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#13 0xb6018a14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#14 0xb6c08afd in KIO::Job::result () from /usr/kde/3.5/lib/libkio.so.4
#15 0xb6c36a1c in KIO::Job::emitResult () from /usr/kde/3.5/lib/libkio.so.4
#16 0xb6c61e3c in KIO::SimpleJob::slotFinished ()
   from /usr/kde/3.5/lib/libkio.so.4
#17 0xb6c621e6 in KIO::ListJob::slotFinished ()
   from /usr/kde/3.5/lib/libkio.so.4
#18 0xb6c6481b in KIO::ListJob::qt_invoke () from /usr/kde/3.5/lib/libkio.so.4
#19 0xb6018a14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#20 0xb60191ac in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#21 0xb6c06a7c in KIO::SlaveInterface::finished ()
   from /usr/kde/3.5/lib/libkio.so.4
#22 0xb6c57846 in KIO::SlaveInterface::dispatch ()
   from /usr/kde/3.5/lib/libkio.so.4
#23 0xb6c34313 in KIO::SlaveInterface::dispatch ()
   from /usr/kde/3.5/lib/libkio.so.4
#24 0xb6c2a6db in KIO::Slave::gotInput () from /usr/kde/3.5/lib/libkio.so.4
#25 0xb6c325b8 in KIO::Slave::qt_invoke () from /usr/kde/3.5/lib/libkio.so.4
#26 0xb6018a14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#27 0xb601903b in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#28 0xb63767d0 in QSocketNotifier::activated ()
   from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb6035d90 in QSocketNotifier::event () from /usr/qt/3/lib/libqt-mt.so.3
#30 0xb5fb498f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#31 0xb5fb4b2c in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#32 0xb6721df5 in KApplication::notify () from /usr/kde/3.5/lib/libkdecore.so.4
#33 0xb5fa8133 in QEventLoop::activateSocketNotifiers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#34 0xb5f6071c in QEventLoop::processEvents () from /usr/qt/3/lib/libqt-mt.so.3
#35 0xb5fcb501 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb5fb3b2f in QApplication::enter_loop () from /usr/qt/3/lib/libqt-mt.so.3
#37 0xb61af092 in QDialog::exec () from /usr/qt/3/lib/libqt-mt.so.3
#38 0xb7dcdc72 in KMMainWidget::slotSubscriptionDialog ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#39 0xb7ddcceb in KMMainWidget::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#40 0xb6018a14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#41 0xb63759ed in QSignal::signal () from /usr/qt/3/lib/libqt-mt.so.3
#42 0xb6033761 in QSignal::activate () from /usr/qt/3/lib/libqt-mt.so.3
#43 0xb6129677 in QPopupMenu::mouseReleaseEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#44 0xb6915011 in KPopupMenu::mouseReleaseEvent ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#45 0xb6052ada in QWidget::event () from /usr/qt/3/lib/libqt-mt.so.3
#46 0xb5fb498f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#47 0xb5fb4d52 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#48 0xb6721df5 in KApplication::notify () from /usr/kde/3.5/lib/libkdecore.so.4
#49 0xb5f4dcbc in QETWidget::translateMouseEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#50 0xb5f4c378 in QApplication::x11ProcessEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#51 0xb5f60195 in QEventLoop::processEvents () from /usr/qt/3/lib/libqt-mt.so.3
#52 0xb5fcb501 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#53 0xb5fb3b2f in QApplication::enter_loop () from /usr/qt/3/lib/libqt-mt.so.3
#54 0xb612d23f in QPopupMenu::exec () from /usr/qt/3/lib/libqt-mt.so.3
#55 0xb7c30f0f in KMFolderTree::slotContextMenuRequested ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#56 0xb7c32026 in KMFolderTree::qt_invoke ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#57 0xb6018a14 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#58 0xb6388fd5 in QListView::contextMenuRequested ()
   from /usr/qt/3/lib/libqt-mt.so.3
#59 0xb61035e4 in QListView::contentsContextMenuEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#60 0xb6135f55 in QScrollView::viewportContextMenuEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#61 0xb6137f19 in QScrollView::eventFilter () from /usr/qt/3/lib/libqt-mt.so.3
#62 0xb6105258 in QListView::eventFilter () from /usr/qt/3/lib/libqt-mt.so.3
#63 0xb7c2bc00 in KMFolderTree::eventFilter ()
   from /usr/kde/3.5/lib/libkmailprivate.so
#64 0xb6015e1f in QObject::activate_filters () from /usr/qt/3/lib/libqt-mt.so.3
#65 0xb6015ef4 in QObject::event () from /usr/qt/3/lib/libqt-mt.so.3
#66 0xb605254f in QWidget::event () from /usr/qt/3/lib/libqt-mt.so.3
#67 0xb5fb498f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#68 0xb5fb4f39 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#69 0xb6721df5 in KApplication::notify () from /usr/kde/3.5/lib/libkdecore.so.4
#70 0xb5f4de3d in QETWidget::translateMouseEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#71 0xb5f4c378 in QApplication::x11ProcessEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#72 0xb5f60195 in QEventLoop::processEvents () from /usr/qt/3/lib/libqt-mt.so.3
#73 0xb5fcb501 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#74 0xb5fcb456 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#75 0xb5fb3aff in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#76 0x0804aa4d in ?? ()
#77 0xbfb61b88 in ?? ()
#78 0x00000000 in ?? ()
Comment 9 Jos Delbar 2006-01-17 11:04:48 UTC
I noticed this bug today:

Bug 107282: KMail crashes when trying to display subscription dialog for online imap account

The backtrace seems to be similar to my own. Fortunately for the reporter the problem went away, but I am still suffering from this problem..
Comment 10 Jos Delbar 2006-02-02 16:25:49 UTC
Status update: KDE 3.5.1 still does not work for me.

When I open the configuration dialog for the IMAP connection, no namespaces are filled in. This is what the debug output says here:

kmail: getNamespaces - wait for connection
kmail: namespaces fetched
kmail: slotSaveNamespaces UGent
kmail: capabilities:(imap4,imap4rev1,starttls,namespace,idle,mailbox-referrals,scan,sort,thread=references,thread=orderedsubject,multiappend)

The IMAP server does claim to support namespaces, however.

I have another IMAP connection that returns an "<Empty>" namespace, and subscriptions work fine with this one.
Comment 11 Jos Delbar 2006-04-06 15:26:42 UTC
Still crashes with KDE 3.5.2, compiled with gcc 4.1.0.
Comment 12 Carsten Burghardt 2006-04-06 22:00:14 UTC
Am Thursday 02 February 2006 16:25 schrieb Jos Delbar:
> The IMAP server does claim to support namespaces, however.


This seems to be the problem. Can you paste the account settings of your 
kmailrc or send it to me?
It is possible to get an ethereal log when kmail starts up and accesses the 
account (given that the connection is not encrypted and the account is 
expanded)?


Carsten
Comment 13 Carsten Burghardt 2006-04-06 22:03:49 UTC
> Ok it seems like subscription got something to do with the problem but I
> managed to crash my kmail by just opening my collapsed account tree.


According to the backtrace the subscription is not the problem but something 
with your account. Does it help to recreate the account? What is the 
backtrace of the crash you get when you expand the account?
Comment 14 arutha 2006-04-11 01:37:29 UTC
Mh. I created a new imap account in kmail for the same real account and manipulated the subscriptions and everything is fine. I will recompile kmail with debugging later and will try to find the time to test this again as soon as possible.
Comment 15 arutha 2006-04-11 15:34:43 UTC
Ok, here is the backtrace I got from the newest kmail version in kde 3.5.2 when manipulating the subscription on a completely different account (and server) and then opening my collapsed folder tree (for my main account). I had to enter the password and wait some time, but that could be because of the slow connection to my server at the moment.

Using host libthread_db library "/lib/libthread_db.so.1".
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1249409360 (LWP 10127)]
[New Thread -1276122192 (LWP 10131)]
[New Thread -1267729488 (LWP 10130)]
[New Thread -1259336784 (LWP 10129)]
[New Thread -1250944080 (LWP 10128)]
[KCrash handler]
#6  0xb72b0ebf in QMap<KPIM::ProgressItem*, bool>::remove ()
   from /usr/kde/3.5/lib/libkdepim.so.1
#7  0xb72aee7c in KPIM::ProgressItem::removeChild ()
   from /usr/kde/3.5/lib/libkdepim.so.1
#8  0xb72aeda9 in KPIM::ProgressItem::setComplete ()
   from /usr/kde/3.5/lib/libkdepim.so.1
#9  0xb7c9d809 in KMail::ImapAccountBase::removeJob (this=0x8300d78, it=@0x1)
    at imapaccountbase.cpp:1174
#10 0xb7bf105b in KMail::ListJob::slotListResult (this=0x8603b98, 
    job=0x8601e48) at listjob.cpp:180
#11 0xb7bf19b8 in KMail::ListJob::qt_invoke (this=0x85f3908, _id=2, 
    _o=0xbff044a0) at listjob.moc:128
#12 0xb5fd872c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#13 0xb6bd2c6a in KIO::Job::result () from /usr/kde/3.5/lib/libkio.so.4
#14 0xb6bba7bc in KIO::Job::emitResult () from /usr/kde/3.5/lib/libkio.so.4
#15 0xb6bbbe1c in KIO::SimpleJob::slotFinished ()
   from /usr/kde/3.5/lib/libkio.so.4
#16 0xb6bc4fbe in KIO::ListJob::slotFinished ()
   from /usr/kde/3.5/lib/libkio.so.4
#17 0xb6bd61c3 in KIO::ListJob::qt_invoke () from /usr/kde/3.5/lib/libkio.so.4
#18 0xb5fd872c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#19 0xb5fd8554 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#20 0xb6bae36e in KIO::SlaveInterface::finished ()
   from /usr/kde/3.5/lib/libkio.so.4
#21 0xb6baced1 in KIO::SlaveInterface::dispatch ()
   from /usr/kde/3.5/lib/libkio.so.4
#22 0xb6bac3d9 in KIO::SlaveInterface::dispatch ()
   from /usr/kde/3.5/lib/libkio.so.4
#23 0xb6ba9c2b in KIO::Slave::gotInput () from /usr/kde/3.5/lib/libkio.so.4
#24 0xb6bab948 in KIO::Slave::qt_invoke () from /usr/kde/3.5/lib/libkio.so.4
#25 0xb5fd872c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#26 0xb5fd888d in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#27 0xb631ab22 in QSocketNotifier::activated ()
   from /usr/qt/3/lib/libqt-mt.so.3
#28 0xb5ff4dd0 in QSocketNotifier::event () from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb5f7c08f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#30 0xb5f7b3f5 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#31 0xb65dc615 in KApplication::notify ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#32 0xb5f6b88a in QEventLoop::activateSocketNotifiers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#33 0xb5f25f83 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#34 0xb5f8e478 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#35 0xb5f8e328 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb5f7c2e1 in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#37 0x0804aa38 in main (argc=140524440, argv=0x8603b98) at main.cpp:110
Comment 16 Jos Delbar 2006-04-11 16:54:44 UTC
Reply to comment #12:

Here is the relevant portion of my kmailrc:

[Account 3]
Folder=
Id=1430024540
Name=UGent
Type=imap
auth=*
auto-expunge=true
check-exclude=false
check-interval=5
hidden-folders=false
host=***
listOnlyOpenFolders=false
loadondemand=true
login=***
port=993
precommand=
sieve-alternate-url=
sieve-port=2000
sieve-reuse-config=true
sieve-support=false
sieve-vacation-filename=
store-passwd=true
subscribed-folders=true
trash=trash
use-ssl=true
use-tls=false

I cannot give you an Ethereal trace because the IMAP connection requires SSL encryption.
Comment 17 Jos Delbar 2006-04-11 16:57:03 UTC
And this is also related to the account in question:

[Folder-1430024540]
Compactable=true
ContentsType=0
ExpireAction=Delete
ExpireMessages=false
ExpireToFolder=
Id=1430024540
Identity=0
IgnoreNewMail=false
ImapPath=/
MailingListArchiveAddress=
MailingListEnabled=false
MailingListFeatures=0
MailingListHandler=0
MailingListHelpAddress=
MailingListId=
MailingListPostingAddress=
MailingListSubscribeAddress=
MailingListUnsubscribeAddress=
NoContent=true
NormalIconPath=
PutRepliesInSameFolder=false
ReadExpireAge=14
ReadExpireUnits=0
ReadOnly=true
SystemLabel=
TotalMsgs=0
UidValidity=
UnreadExpireAge=28
UnreadExpireUnits=0
UnreadIconPath=
UnreadMsgs=0
UseCustomIcons=false
WhoField=
checkmail=true
isOpen=false
Comment 18 arutha 2006-04-19 19:02:46 UTC
Ok, strange things happen now :) I managed to make kmail not crash right after typing my password. Instead it now crashes when checking mail (ctrl-L). This is the backtrace. Deleting the index helps.


Using host libthread_db library "/lib/libthread_db.so.1".
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1240987984 (LWP 17328)]
[New Thread -1278059600 (LWP 17333)]
[New Thread -1269666896 (LWP 17332)]
[New Thread -1261274192 (LWP 17331)]
[New Thread -1252881488 (LWP 17330)]
[KCrash handler]
#6  0xb591e379 in KMFolder::noContent (this=0x100) at kmfolder.cpp:288
#7  0xb59ac25f in KMAcctImap::processNewMail (this=0x8471ae0, 
    interactive=true) at kmacctimap.cpp:316
#8  0xb594f3f7 in KMail::AccountManager::processNextCheck (this=0x84735c0, 
    _newMail=false) at accountmanager.cpp:196
#9  0xb594ed24 in KMail::AccountManager::singleCheckMail (this=0x84735c0, 
    account=0x8471ae0) at accountmanager.cpp:125
#10 0xb594fd44 in KMail::AccountManager::checkMail (this=0x84735c0, 
    _interactive=true) at accountmanager.cpp:312
#11 0xb5a6f72e in KMMainWidget::slotCheckMail (this=0x85b1848)
    at kmmainwidget.cpp:796
#12 0xb5a6ab2a in KMMainWidget::qt_invoke (this=0x85b1848, _id=49, 
    _o=0xbfb9b750) at kmmainwidget.moc:472
#13 0xb67cd72c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#14 0xb67cd554 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#15 0xb70cbd1b in KAction::activated () from /usr/kde/3.5/lib/libkdeui.so.4
#16 0xb70cb48a in KAction::slotActivated ()
   from /usr/kde/3.5/lib/libkdeui.so.4
#17 0xb70cc013 in KAction::qt_invoke () from /usr/kde/3.5/lib/libkdeui.so.4
#18 0xb67cd72c in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#19 0xb67cd554 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#20 0xb6e6a4db in KAccelPrivate::menuItemActivated ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#21 0xb6e68dc9 in KAccelPrivate::emitActivatedSignal ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#22 0xb6e68b66 in KAccelPrivate::eventFilter ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#23 0xb67cb05e in QObject::activate_filters ()
   from /usr/qt/3/lib/libqt-mt.so.3
#24 0xb67caf8c in QObject::event () from /usr/qt/3/lib/libqt-mt.so.3
#25 0xb6803a7f in QWidget::event () from /usr/qt/3/lib/libqt-mt.so.3
#26 0xb68c25f2 in QMainWindow::event () from /usr/qt/3/lib/libqt-mt.so.3
#27 0xb677108f in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#28 0xb67708f9 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb6dd2615 in KApplication::notify ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#30 0xb6e67b7a in KAccelEventHandler::x11Event ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#31 0xb6dd874f in KApplication::x11EventFilter ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#32 0xb66f9498 in qt_set_x11_event_filter () from /usr/qt/3/lib/libqt-mt.so.3
#33 0xb67038fb in QApplication::x11ProcessEvent ()
   from /usr/qt/3/lib/libqt-mt.so.3
#34 0xb671b524 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#35 0xb6783478 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb6783328 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#37 0xb67712e1 in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#38 0x080595fb in ?? ()
#39 0xbfb9c320 in ?? ()
#40 0x00000001 in ?? ()
#41 0x00000001 in ?? ()
#42 0x00000000 in ?? ()
Comment 19 Jos Delbar 2006-05-07 23:28:40 UTC
I can more or less access my IMAP server using the imaps KIO slave. After entering my username and password, I am presented with my home directory on the same server. There is, among other things, a 0 byte file INBOX and a folder mail. Inside the mail folder, there are 0 byte files for each of my IMAP mail subfolders. I can view these files in the embedded binary viewer and I seem to be getting a list of messages, without their contents. When I open the mail folder, I get an error message

"The server replied: SELECT failed: Can't open mail: not a selectable mailbox"

I have no idea if this is the regular behaviour for the imaps KIO slave.

In any case, I don't get any kind of crash which is more than I can currently say for KMail. :) Perhaps this can help you guys figure out where the problem is.
Comment 20 Andreas Kling 2006-07-31 14:06:17 UTC
*** Bug 122473 has been marked as a duplicate of this bug. ***
Comment 21 Dánial Olsen 2006-10-10 00:06:15 UTC
I get several IMAP folder subscription crashes but not perfectly reproducible. 
Running Kmail 1.9.4 on KDE 3.5.4 with SSL enabled Courier-IMAP server.

Here's my backtrace:

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1248295248 (LWP 5566)]
[New Thread -1276101728 (LWP 5570)]
[New Thread -1267709024 (LWP 5569)]
[New Thread -1259316320 (LWP 5568)]
[New Thread -1250923616 (LWP 5567)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0xb740ea7f in QMap<KPIM::ProgressItem*, bool>::remove ()
   from /opt/kde/lib/libkdepim.so.1
#7  0xb737d64c in KPIM::ProgressItem::removeChild ()
   from /opt/kde/lib/libkdepim.so.1
#8  0xb737d809 in KPIM::ProgressItem::setComplete ()
   from /opt/kde/lib/libkdepim.so.1
#9  0xb7d2bcbb in KMail::ImapAccountBase::removeJob ()
   from /opt/kde/lib/libkmailprivate.so
#10 0xb7d2e3ce in KMail::ListJob::slotListResult ()
   from /opt/kde/lib/libkmailprivate.so
#11 0xb7d2e4dc in KMail::ListJob::qt_invoke ()
   from /opt/kde/lib/libkmailprivate.so
#12 0xb6213f19 in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#13 0xb6cf740e in KIO::Job::result () from /opt/kde/lib/libkio.so.4
#14 0xb6d3519c in KIO::Job::emitResult () from /opt/kde/lib/libkio.so.4
#15 0xb6d41e7e in KIO::SimpleJob::slotFinished ()
   from /opt/kde/lib/libkio.so.4
#16 0xb6d4220d in KIO::ListJob::slotFinished () from /opt/kde/lib/libkio.so.4
#17 0xb6d64c1e in KIO::ListJob::qt_invoke () from /opt/kde/lib/libkio.so.4
#18 0xb6213f19 in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#19 0xb6214b2d in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#20 0xb6cef8bc in KIO::SlaveInterface::finished ()
   from /opt/kde/lib/libkio.so.4
#21 0xb6d60496 in KIO::SlaveInterface::dispatch ()
   from /opt/kde/lib/libkio.so.4
#22 0xb6d500a8 in KIO::SlaveInterface::dispatch ()
   from /opt/kde/lib/libkio.so.4
#23 0xb6d03f1b in KIO::Slave::gotInput () from /opt/kde/lib/libkio.so.4
#24 0xb6d517a0 in KIO::Slave::qt_invoke () from /opt/kde/lib/libkio.so.4
#25 0xb6213f19 in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#26 0xb6214a22 in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#27 0xb653b3c0 in QSocketNotifier::activated () from /opt/qt/lib/libqt-mt.so.3
#28 0xb6231d90 in QSocketNotifier::event () from /opt/qt/lib/libqt-mt.so.3
#29 0xb61b5c17 in QApplication::internalNotify ()
   from /opt/qt/lib/libqt-mt.so.3
#30 0xb61b69df in QApplication::notify () from /opt/qt/lib/libqt-mt.so.3
#31 0xb68abbce in KApplication::notify () from /opt/kde/lib/libkdecore.so.4
#32 0xb61aabe1 in QEventLoop::activateSocketNotifiers ()
   from /opt/qt/lib/libqt-mt.so.3
#33 0xb61654ee in QEventLoop::processEvents () from /opt/qt/lib/libqt-mt.so.3
#34 0xb61cc4f1 in QEventLoop::enterLoop () from /opt/qt/lib/libqt-mt.so.3
#35 0xb61cc3a6 in QEventLoop::exec () from /opt/qt/lib/libqt-mt.so.3
#36 0xb61b587f in QApplication::exec () from /opt/qt/lib/libqt-mt.so.3
#37 0x0804a364 in ?? ()
#38 0xbfa2e614 in ?? ()
#39 0xbfa2e800 in ?? ()
#40 0x00000000 in ?? ()
Comment 22 BJ Blanchard 2006-11-15 17:44:31 UTC
This crash (see below) is related to IMAP subscription - and therefore am attaching it to this bug.  But I think I know how it could be avoided.

When in the IMAP subscription dialog, and the "Loading..." message is displayed, the folder list (left pane) is populated with everything unchecked - when you have hundreds of folders and it takes 30-60 seconds to load actual subscriptions.

During the "Loading.." our users proceed to select folders that they want to subscribe to (they were unsubscribed due to renaming of folder- see bug 133339), and click OK prior to the "Loading..." being completed.

Fix is simple I think - disable the OK button until the "Loading.." is complete.

BJ.

#0  0x4a75f5dc in QGList::first () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#1  0xb6488e29 in QPtrList<KMFolderNode>::first (this=0x0) at qptrlist.h:109
No locals.
#2  0xb65a5962 in KMFolderImap::checkFolders (this=0x8ab2d88, 
    subfolderNames=@0x89969f8, myNamespace=@0x8a5b1b8) at kmfolderimap.cpp:922
        toRemove = {<QGList> = {<> = {<No data fields>}, firstNode = 0x0, 
    lastNode = 0x0, curNode = 0x0, curIndex = -1, numNodes = 0, 
    iterators = 0x0}, <No data fields>}
        node = (class KMFolderNode *) 0x8494d00
#3  0xb65a6079 in KMFolderImap::slotListResult (this=0x8ab2d88, 
    subfolderNames=@0x89969f8, subfolderPaths=@0x89969fc, 
    subfolderMimeTypes=@0x8996a00, subfolderAttributes=@0x8996a04, 
    jobData=@0x8a5b1b0) at kmfolderimap.cpp:790
        root = false
        f = (KMFolderImap *) 0x8210178
        node = (class KMFolderNode *) 0x8494d00
#4  0xb65b00e4 in KMFolderImap::qt_invoke (this=0x8ab2d88, _id=-1074255172, 
    _o=0xbff82a90) at kmfolderimap.moc:314
No locals.
#5  0x4a4a218a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#6  0xb64e0a87 in KMail::ListJob::receivedFolders (this=0x8996980, t0=@0x0, 
    t1=@0x0, t2=@0x0, t3=@0x0, t4=@0x0) at listjob.moc:122
        clist = (QConnectionList *) 0x885c448
        o = {{type = 0x806a55c, payload = {b = 16, c = 16 '\020', s = 11280, 
      i = -1074254832, l = -1074254832, uc = 16 '\020', us = 11280, 
      ui = 3220712464, ul = 3220712464, f = -1.93884468, 
      d = -1.5104453562551079, byte = "\020,ø¿È*ø¿E&N¶à*ø¿", bytearray = {
        data = 0xbff82c10 "È\bT\b\030/b\b", size = 3220712136}, 
      ptr = 0xbff82c10, voidstar = {ptr = 0xbff82c10, owner = 200}, 
      charstar = {ptr = 0xbff82c10 "È\bT\b\030/b\b", owner = 200}, utf8 = {
        ptr = 0xbff82c10 "È\bT\b\030/b\b", owner = 200}, local8bit = {
        ptr = 0xbff82c10 "È\bT\b\030/b\b", owner = 200}, iface = 0xbff82c10, 
      idisp = 0xbff82c10}}, {type = 0x806a23c, payload = {b = 248, 
      c = -8 'ø', s = 27128, i = 144271864, l = 144271864, uc = 248 'ø', 
      us = 27128, ui = 144271864, ul = 144271864, f = 9.23326568e-34, 
      d = 3.8164242086320307e+47, byte = "øi\231\b\\¶ÐIÖ`ÆI8+ø¿", 
      bytearray = {data = 0x89969f8 "Ø", size = 1238414940}, ptr = 0x89969f8, 
      voidstar = {ptr = 0x89969f8, owner = 92}, charstar = {
        ptr = 0x89969f8 "Ø", owner = 92}, utf8 = {ptr = 0x89969f8 "Ø", 
        owner = 92}, local8bit = {ptr = 0x89969f8 "Ø", owner = 92}, 
      iface = 0x89969f8, idisp = 0x89969f8}}, {type = 0x806a23c, payload = {
      b = 252, c = -4 'ü', s = 27132, i = 144271868, l = 144271868, 
      uc = 252 'ü', us = 27132, ui = 144271868, ul = 144271868, 
      f = 9.23326935e-34, d = 1.022709353315758e-268, 
      byte = "üi\231\b¼\003K\b\220+ø¿è*ø¿", bytearray = {
        data = 0x89969fc "\020\203§\bø\b«\bðIK\b¸¡\201\b¨5L\b\230", 
        size = 139133884}, ptr = 0x89969fc, voidstar = {ptr = 0x89969fc, 
        owner = 188}, charstar = {
        ptr = 0x89969fc "\020\203§\bø\b«\bðIK\b¸¡\201\b¨5L\b\230", 
        owner = 188}, utf8 = {
        ptr = 0x89969fc "\020\203§\bø\b«\bðIK\b¸¡\201\b¨5L\b\230", 
        owner = 188}, local8bit = {
        ptr = 0x89969fc "\020\203§\bø\b«\bðIK\b¸¡\201\b¨5L\b\230", 
        owner = 188}, iface = 0x89969fc, idisp = 0x89969fc}}, {
    type = 0x806a23c, payload = {b = false, c = 0 '\0', s = 27136, 
      i = 144271872, l = 144271872, uc = 0 '\0', us = 27136, ui = 144271872, 
      ul = 144271872, f = 9.23327303e-34, d = 9.635590546562209e-269, 
      byte = "\000j\231\bÀsI\b8+ø¿@xÑI", bytearray = {
        data = 0x8996a00 "ø\b«\bðIK\b¸¡\201\b¨5L\b\230", size = 139031488}, 
      ptr = 0x8996a00, voidstar = {ptr = 0x8996a00, owner = 192}, charstar = {
        ptr = 0x8996a00 "ø\b«\bðIK\b¸¡\201\b¨5L\b\230", owner = 192}, utf8 = {
        ptr = 0x8996a00 "ø\b«\bðIK\b¸¡\201\b¨5L\b\230", owner = 192}, 
      local8bit = {ptr = 0x8996a00 "ø\b«\bðIK\b¸¡\201\b¨5L\b\230", 
        owner = 192}, iface = 0x8996a00, idisp = 0x8996a00}}, {
    type = 0x806a23c, payload = {b = 4, c = 4 '\004', s = 27140, 
      i = 144271876, l = 144271876, uc = 4 '\004', us = 27140, 
      ui = 144271876, ul = 144271876, f = 9.2332767e-34, 
      d = -1.510505708304323, byte = "\004j\231\b\b+ø¿\202.N¶\200+ø¿", 
      bytearray = {data = 0x8996a04 "ðIK\b¸¡\201\b¨5L\b\230", 
        size = 3220712200}, ptr = 0x8996a04, voidstar = {ptr = 0x8996a04, 
        owner = 8}, charstar = {ptr = 0x8996a04 "ðIK\b¸¡\201\b¨5L\b\230", 
        owner = 8}, utf8 = {ptr = 0x8996a04 "ðIK\b¸¡\201\b¨5L\b\230", 
        owner = 8}, local8bit = {ptr = 0x8996a04 "ðIK\b¸¡\201\b¨5L\b\230", 
        owner = 8}, iface = 0x8996a04, idisp = 0x8996a04}}, {
    type = 0x806a1e8, payload = {b = 176, c = -80 '°', s = -20048, 
      i = 145076656, l = 145076656, uc = 176 '°', us = 45488, ui = 145076656, 
      ul = 145076656, f = 9.97235041e-34, d = -2.8888043380348382e-46, 
      byte = "°±¥\b0cz¶\200+ø¿\200i\231\b", bytearray = {
        data = 0x8a5b1b0 "\210@a\bpÐ\006\b¨5L\b¸Rø·(EP\bè-\220J\b`P\b \206u\b¨ÄZ\bȪ{¶", size = 3061474096}, ptr = 0x8a5b1b0, voidstar = {ptr = 0x8a5b1b0, 
        owner = 48}, charstar = {
        ptr = 0x8a5b1b0 "\210@a\bpÐ\006\b¨5L\b¸Rø·(EP\bè-\220J\b`P\b \206u\b¨ÄZ\bȪ{¶", owner = 48}, utf8 = {
        ptr = 0x8a5b1b0 "\210@a\bpÐ\006\b¨5L\b¸Rø·(EP\bè-\220J\b`P\b \206u\b¨ÄZ\bȪ{¶", owner = 48}, local8bit = {
        ptr = 0x8a5b1b0 "\210@a\bpÐ\006\b¨5L\b¸Rø·(EP\bè-\220J\b`P\b \206u\b¨ÄZ\bȪ{¶", owner = 48}, iface = 0x8a5b1b0, idisp = 0x8a5b1b0}}}
#7  0xb64e16a7 in KMail::ListJob::slotListResult (this=0x8996980, 
    job=0x8ab3380) at listjob.cpp:181
        it = {node = 0x8a5b1a0}
#8  0xb64e1755 in KMail::ListJob::qt_invoke (this=0x8996980, _id=2, 
    _o=0xbff82c60) at listjob.moc:128
No locals.
#9  0x4a4a218a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#10 0xb7412f12 in KIO::Job::result (this=0xbff82c88, t0=0x0)
    at jobclasses.moc:162
        clist = (QConnectionList *) 0x89209c0
        o = {{type = 0x806a55c, payload = {b = false, c = 0 '\0', s = 27648, 
      i = 1811966976, l = 1811966976, uc = 0 '\0', us = 27648, 
      ui = 1811966976, ul = 1811966976, f = 6.21010082e+26, 
      d = -2.45321555797328e-43, byte = "\000l\000l'â\025·ÝñIJP/\220J", 
      bytearray = {data = 0x6c006c00 <Address 0x6c006c00 out of bounds>, 
        size = 3071664679}, ptr = 0x6c006c00, voidstar = {ptr = 0x6c006c00, 
        owner = 39}, charstar = {
        ptr = 0x6c006c00 <Address 0x6c006c00 out of bounds>, owner = 39}, 
      utf8 = {ptr = 0x6c006c00 <Address 0x6c006c00 out of bounds>, 
        owner = 39}, local8bit = {
        ptr = 0x6c006c00 <Address 0x6c006c00 out of bounds>, owner = 39}, 
      iface = 0x6c006c00, idisp = 0x6c006c00}}, {type = 0x806a1e8, payload = {
      b = 128, c = -128 '\200', s = 13184, i = 145437568, l = 145437568, 
      uc = 128 '\200', us = 13184, ui = 145437568, ul = 145437568, 
      f = 1.03037957e-33, d = -1.4833702627141112e-42, 
      byte = "\2003«\bF\212@·è¡\006\b\\-ø¿", bytearray = {
        data = 0x8ab3380 "H", size = 3074460230}, ptr = 0x8ab3380, 
      voidstar = {ptr = 0x8ab3380, owner = 70}, charstar = {
        ptr = 0x8ab3380 "H", owner = 70}, utf8 = {ptr = 0x8ab3380 "H", 
        owner = 70}, local8bit = {ptr = 0x8ab3380 "H", owner = 70}, 
      iface = 0x8ab3380, idisp = 0x8ab3380}}}
#11 0xb7412fae in KIO::Job::emitResult (this=0x8ab3380) at job.cpp:226
No locals.
#12 0xb74152e0 in KIO::SimpleJob::slotFinished (this=0x8ab3380) at job.cpp:574
No locals.
#13 0xb7422f22 in KIO::ListJob::slotFinished (this=0x8ab3380) at job.cpp:2095
No locals.
#14 0xb742cb3f in KIO::ListJob::qt_invoke (this=0x8ab3380, _id=16, 
    _o=0xbff82ff0) at jobclasses.moc:1734
No locals.
#15 0x4a4a218a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#16 0x4a4a28b4 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#17 0xb7400e12 in KIO::SlaveInterface::finished (this=0x0)
    at qmetaobject.h:261
No locals.
#18 0xb7403bc6 in KIO::SlaveInterface::dispatch (this=0x8622f18, _cmd=104, 
    rawdata=@0xbff83004) at slaveinterface.cpp:243
        host = {static null = {
    static null = <same as static member of an already seen type>, 
    d = 0x806d070, static shared_null = 0x806d070}, d = 0x0, 
  static shared_null = 0x806d070}
        slaveid = {static null = {
    static null = <same as static member of an already seen type>, 
    d = 0x806d070, static shared_null = 0x806d070}, d = 0xf, 
  static shared_null = 0x806d070}
#19 0xb74024b7 in KIO::SlaveInterface::dispatch (this=0x8622f18)
    at slaveinterface.cpp:173
        cmd = 104
        data = {<> = {<No data fields>}, <No data fields>}
#20 0xb73fe564 in KIO::Slave::gotInput (this=0x8622f18) at slave.cpp:300
No locals.
#21 0xb73fe903 in KIO::Slave::qt_invoke (this=0x8622f18, _id=4, _o=0xbff83450)
    at slave.moc:113
No locals.
#22 0x4a4a218a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#23 0x4a4a275a in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#24 0x4a7e6ba2 in QSocketNotifier::activated ()
   from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#25 0x4a4bdd92 in QSocketNotifier::event () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#26 0x4a43ffd4 in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#27 0x4a440167 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#28 0xb6e21be4 in KApplication::notify (this=0xbff83a60, receiver=0x86221e0, 
    event=0xbff837f0) at kapplication.cpp:550
        key = {m_sym = 12, m_mod = 0}
        _selectAll = (const KShortcut &) @0xb6fb438c: {m_nSeqs = 1, 
  m_rgseq = {{m_nKeys = 1 '\001', m_bTriggerOnRelease = 0 '\0', m_rgvar = {{
          m_sym = 97, m_mod = 2}, {m_sym = 0, m_mod = 0}, {m_sym = 0, 
          m_mod = 0}, {m_sym = 0, m_mod = 0}}, d = 0xb6faa19c}, {
      m_nKeys = 0 '\0', m_bTriggerOnRelease = 0 '\0', m_rgvar = {{m_sym = 0, 
          m_mod = 0}, {m_sym = 0, m_mod = 0}, {m_sym = 0, m_mod = 0}, {
          m_sym = 0, m_mod = 0}}, d = 0xbff83c18}}, d = 0x49c2f7ba}
        edit = (struct QLineEdit *) 0x49c67b73
        medit = (struct QTextEdit *) 0x49d17840
#29 0x4a433f30 in QEventLoop::activateSocketNotifiers ()
   from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#30 0x4a3ed0d6 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#31 0x4a455f82 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
#32 0x4a455eda in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
No symbol table info available.
Comment 23 Elias Probst 2007-02-10 11:08:22 UTC
KMail 3.5.6
GCC 4.1.1
CFLAGS="-ggdb -O2 -march=nocona -msse3 -pipe -fomit-frame-pointer -fvar-tracking"

KMail crashed here too. Backtrace looks like the one from comment#15

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1249982800 (LWP 8773)]
[New Thread -1278665840 (LWP 8782)]
[New Thread -1270273136 (LWP 8781)]
[New Thread -1261880432 (LWP 8780)]
[New Thread -1253487728 (LWP 8779)]
[KCrash handler]
#9  0xb72b2014 in QMap<KPIM::ProgressItem*, bool>::remove (this=0x832c958, 
    k=@0xbfa02844) at /usr/qt/3/include/qmap.h:739
#10 0xb72b0a65 in KPIM::ProgressItem::removeChild (this=0x832c918, 
    kiddo=0x83ce0c0) at progressmanager.cpp:74
#11 0xb72b0bb1 in KPIM::ProgressItem::setComplete (this=0x83ce0c0)
    at progressmanager.cpp:60
#12 0xb7d1df2a in KMail::ImapAccountBase::removeJob (this=0x826c1e8, 
    it=@0xbfa028ac) at imapaccountbase.cpp:1177
#13 0xb7c817f4 in KMail::ListJob::slotListResult (this=0x82e6bd0, 
    job=0x83c3720) at listjob.cpp:183
#14 0xb7c81ecf in KMail::ListJob::qt_invoke (this=0x82e6bd0, _id=2, 
    _o=0xbfa02944) at listjob.moc:128
#15 0xb5facf0e in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#16 0xb6be7e03 in KIO::Job::result (this=0x83c3720, t0=0x83c3720)
    at jobclasses.moc:162
#17 0xb6bed0f8 in KIO::Job::emitResult (this=0x83c3720) at job.cpp:235
#18 0xb6bed219 in KIO::SimpleJob::slotFinished (this=0x83c3720) at job.cpp:601
#19 0xb6bf3125 in KIO::ListJob::slotFinished (this=0x83c3720) at job.cpp:2122
#20 0xb6bfd182 in KIO::ListJob::qt_invoke (this=0x83c3720, _id=16, 
    _o=0xbfa02b98) at jobclasses.moc:1734
#21 0xb5facf0e in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#22 0xb5fada48 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#23 0xb6bdbe1c in KIO::SlaveInterface::finished (this=0x84ab240)
    at slaveinterface.moc:226
#24 0xb6bde156 in KIO::SlaveInterface::dispatch (this=0x84ab240, _cmd=104, 
    rawdata=@0xbfa02d38) at slaveinterface.cpp:243
#25 0xb6bdce0b in KIO::SlaveInterface::dispatch (this=0x84ab240)
    at slaveinterface.cpp:173
#26 0xb6bd9fd8 in KIO::Slave::gotInput (this=0x84ab240) at slave.cpp:300
#27 0xb6bda147 in KIO::Slave::qt_invoke (this=0x84ab240, _id=4, _o=0xbfa02e34)
    at slave.moc:113
#28 0xb5facf0e in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb5fad962 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#30 0xb62bf234 in QSocketNotifier::activated ()
   from /usr/qt/3/lib/libqt-mt.so.3
#31 0xb5fc8f11 in QSocketNotifier::event () from /usr/qt/3/lib/libqt-mt.so.3
#32 0xb5f52225 in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#33 0xb5f52d82 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#34 0xb65db908 in KApplication::notify (this=0xbfa032d0, receiver=0x8339cb8, 
    event=0xbfa030d8) at kapplication.cpp:550
#35 0xb5f47a77 in QEventLoop::activateSocketNotifiers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb5f03da5 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#37 0xb5f67bed in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#38 0xb5f67a92 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#39 0xb5f51d4b in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#40 0x0804a47a in main (argc=-1221461528, argv=0xfffbfcc2) at main.cpp:110
#41 0xb5807824 in __libc_start_main () from /lib/libc.so.6
#42 0x0804a201 in _start ()
Comment 24 Thomas McGuire 2007-04-12 00:02:51 UTC
*** Bug 143474 has been marked as a duplicate of this bug. ***
Comment 25 Thomas McGuire 2007-04-12 00:03:12 UTC
*** Bug 144097 has been marked as a duplicate of this bug. ***
Comment 26 Thomas McGuire 2007-04-12 00:08:29 UTC
To comment #23: Elias, are you sure you are using the lastest KMail version (1.9.6). I am asking because all this seems to be the same as bug #133023, which seems to be fixed.
Comment 27 Tommi Tervo 2007-04-13 18:45:44 UTC
*** Bug 144154 has been marked as a duplicate of this bug. ***
Comment 28 Alexander Haensch 2007-04-14 10:03:55 UTC
Bug is not fixed for me. Maybe a gcc bug?
but thunderbird 1.5.10 crashes if i enable account-autocheck on my server!
Comment 29 Patrick 2007-05-05 06:46:50 UTC
I also experience a crash every time I change something in IMAP subscriptions (KMail 1.9.6, KDE 3.5.6, Gentoo / Courier imapd 4.0.6-r2 with SSL on Gentoo). Everything is as it should be after starting KMail again after the crash.
Comment 30 Amilcar do Carmo Lucas 2007-09-22 03:50:24 UTC
Here is yet another backtrace:
[KCrash handler]
#9  0x00037abb in ?? ()
#10 0xb536d3d3 in KMFolderMgr::removeFolderAux ()
   from /opt/kde3/lib/libkmailprivate.so
#11 0xb536d541 in KMFolderMgr::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#12 0xb6c5bbad in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#13 0xb5321538 in KMFolder::removed () from /opt/kde3/lib/libkmailprivate.so
#14 0xb532283d in KMFolder::qt_emit () from /opt/kde3/lib/libkmailprivate.so
#15 0xb6c5bbf1 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0xb533ff38 in FolderStorage::removed ()
   from /opt/kde3/lib/libkmailprivate.so
#17 0xb53418f2 in FolderStorage::remove ()
   from /opt/kde3/lib/libkmailprivate.so
#18 0xb53dd06f in KMFolderImap::remove () from /opt/kde3/lib/libkmailprivate.so
#19 0xb5320470 in KMFolder::remove () from /opt/kde3/lib/libkmailprivate.so
#20 0xb536aee5 in KMFolderMgr::removeFolder ()
   from /opt/kde3/lib/libkmailprivate.so
#21 0xb536b773 in KMFolderMgr::remove () from /opt/kde3/lib/libkmailprivate.so
#22 0xb536b740 in KMFolderMgr::remove () from /opt/kde3/lib/libkmailprivate.so
#23 0xb536b740 in KMFolderMgr::remove () from /opt/kde3/lib/libkmailprivate.so
#24 0xb53da181 in KMFolderImap::checkFolders ()
   from /opt/kde3/lib/libkmailprivate.so
#25 0xb53da64a in KMFolderImap::slotListResult ()
   from /opt/kde3/lib/libkmailprivate.so
#26 0xb53e483e in KMFolderImap::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#27 0xb6c5bbad in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0xb52f5d5b in KMail::ListJob::receivedFolders ()
   from /opt/kde3/lib/libkmailprivate.so
#29 0xb52f6569 in KMail::ListJob::slotListResult ()
   from /opt/kde3/lib/libkmailprivate.so
Comment 31 BJ Blanchard 2007-10-04 20:07:40 UTC
Same thing happens on kdepim-enterprise branch (svn from October 1st).

If the subscription dialog says "Loading...", and you try to "check" a subscription box, it crashes.

This is only happening on IMAP servers with a LARGE number of subscribable folders.  (like > 1000)

Below is a backtrace.

BJ.

[KCrash handler]
#6  0xb7ed1c4f in KSubscription::restoreOriginalParent ()
   from /opt/kde/lib/libkdepim.so.1
#7  0xb7f311fe in KSubscription::slotFilterTextChanged ()
   from /opt/kde/lib/libkdepim.so.1
#8  0xb7f31ad0 in KSubscription::qt_invoke () from /opt/kde/lib/libkdepim.so.1
#9  0xb5221955 in KMail::SubscriptionDialogBase::qt_invoke ()
   from /opt/kde/lib/libkmailprivate.so
#10 0xb5221a1b in KMail::SubscriptionDialog::qt_invoke ()
   from /opt/kde/lib/libkmailprivate.so
#11 0xb68e358d in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#12 0xb68e3d60 in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#13 0xb6c16240 in QLineEdit::textChanged () from /opt/qt/lib/libqt-mt.so.3
#14 0xb69a9965 in QLineEditPrivate::finishChange ()
   from /opt/qt/lib/libqt-mt.so.3
#15 0xb69aaa5d in QLineEdit::backspace () from /opt/qt/lib/libqt-mt.so.3
#16 0xb69ab013 in QLineEdit::keyPressEvent () from /opt/qt/lib/libqt-mt.so.3
#17 0xb72017bd in KLineEdit::keyPressEvent () from /opt/kde/lib/libkdeui.so.4
#18 0xb6919f8f in QWidget::event () from /opt/qt/lib/libqt-mt.so.3
#19 0xb69aa0d9 in QLineEdit::event () from /opt/qt/lib/libqt-mt.so.3
#20 0xb6885c9a in QApplication::internalNotify ()
   from /opt/qt/lib/libqt-mt.so.3
#21 0xb6886b30 in QApplication::notify () from /opt/qt/lib/libqt-mt.so.3
#22 0xb6f7e012 in KApplication::notify () from /opt/kde/lib/libkdecore.so.4
#23 0xb6823b89 in QETWidget::translateKeyEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#24 0xb68254fa in QApplication::x11ProcessEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#25 0xb68353ad in QEventLoop::processEvents () from /opt/qt/lib/libqt-mt.so.3
#26 0xb689c180 in QEventLoop::enterLoop () from /opt/qt/lib/libqt-mt.so.3
#27 0xb688566f in QApplication::enter_loop () from /opt/qt/lib/libqt-mt.so.3
#28 0xb6a612c9 in QDialog::exec () from /opt/qt/lib/libqt-mt.so.3
#29 0xb525ab71 in KMMainWidget::slotSubscriptionDialog ()
   from /opt/kde/lib/libkmailprivate.so
#30 0xb529dae1 in KMMainWidget::qt_invoke ()
   from /opt/kde/lib/libkmailprivate.so
#31 0xb68e358d in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#32 0xb6c0652e in QSignal::signal () from /opt/qt/lib/libqt-mt.so.3
#33 0xb68fed37 in QSignal::activate () from /opt/qt/lib/libqt-mt.so.3
#34 0xb69e35fa in QPopupMenu::mouseReleaseEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#35 0xb715ecf2 in KPopupMenu::mouseReleaseEvent ()
   from /opt/kde/lib/libkdeui.so.4
#36 0xb6919f04 in QWidget::event () from /opt/qt/lib/libqt-mt.so.3
#37 0xb6885c9a in QApplication::internalNotify ()
   from /opt/qt/lib/libqt-mt.so.3
#38 0xb6886ab8 in QApplication::notify () from /opt/qt/lib/libqt-mt.so.3
#39 0xb6f7e012 in KApplication::notify () from /opt/kde/lib/libkdecore.so.4
#40 0xb68264eb in QETWidget::translateMouseEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#41 0xb6824896 in QApplication::x11ProcessEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#42 0xb68353ad in QEventLoop::processEvents () from /opt/qt/lib/libqt-mt.so.3
#43 0xb689c180 in QEventLoop::enterLoop () from /opt/qt/lib/libqt-mt.so.3
#44 0xb688566f in QApplication::enter_loop () from /opt/qt/lib/libqt-mt.so.3
#45 0xb69e69e7 in QPopupMenu::exec () from /opt/qt/lib/libqt-mt.so.3
#46 0xb519e281 in KMFolderTree::slotContextMenuRequested ()
   from /opt/kde/lib/libkmailprivate.so
#47 0xb5270ce6 in KMFolderTree::qt_invoke ()
   from /opt/kde/lib/libkmailprivate.so
#48 0xb68e358d in QObject::activate_signal () from /opt/qt/lib/libqt-mt.so.3
#49 0xb6c199a6 in QListView::contextMenuRequested ()
   from /opt/qt/lib/libqt-mt.so.3
#50 0xb69c4aef in QListView::contentsContextMenuEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#51 0xb69f4b98 in QScrollView::viewportContextMenuEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#52 0xb69f2d04 in QScrollView::eventFilter () from /opt/qt/lib/libqt-mt.so.3
#53 0xb69c10c6 in QListView::eventFilter () from /opt/qt/lib/libqt-mt.so.3
#54 0xb4fad659 in KMFolderTree::eventFilter ()
   from /opt/kde/lib/libkmailprivate.so
#55 0xb68e2dac in QObject::activate_filters () from /opt/qt/lib/libqt-mt.so.3
#56 0xb68e2e1b in QObject::event () from /opt/qt/lib/libqt-mt.so.3
#57 0xb6919dec in QWidget::event () from /opt/qt/lib/libqt-mt.so.3
#58 0xb6885c9a in QApplication::internalNotify ()
   from /opt/qt/lib/libqt-mt.so.3
#59 0xb6886cd2 in QApplication::notify () from /opt/qt/lib/libqt-mt.so.3
#60 0xb6f7e012 in KApplication::notify () from /opt/kde/lib/libkdecore.so.4
#61 0xb68262b5 in QETWidget::translateMouseEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#62 0xb6824896 in QApplication::x11ProcessEvent ()
   from /opt/qt/lib/libqt-mt.so.3
#63 0xb68353ad in QEventLoop::processEvents () from /opt/qt/lib/libqt-mt.so.3
#64 0xb689c180 in QEventLoop::enterLoop () from /opt/qt/lib/libqt-mt.so.3
#65 0xb689c016 in QEventLoop::exec () from /opt/qt/lib/libqt-mt.so.3
#66 0xb68856ff in QApplication::exec () from /opt/qt/lib/libqt-mt.so.3
#67 0x0806c632 in ?? ()
#68 0xbfea8348 in ?? ()
#69 0x00000001 in ?? ()
#70 0x00000001 in ?? ()
#71 0x00000000 in ?? ()
Comment 32 BJ Blanchard 2007-10-04 22:16:20 UTC
This simple patch fixes the subscription dialog to not stop after 1000 folders -  only after 10,000 now.  A little more scalable!

Its an indirect fix for those with > 1000 subscribable folders.

BJ.

--- src.orig/kdepim-enterprise/kmail/subscriptiondialog.cpp     2007-10-02 13:23:50.000000000 -0400
+++ src/kdepim-enterprise/kmail/subscriptiondialog.cpp  2007-10-04 14:37:46.000000000 -0400
@@ -415,7 +415,7 @@
   for (uint i = mCount; i < mFolderNames.count(); ++i)
   {
     // give the dialog a chance to repaint
-    if (done == 1000)
+    if (done == 10000)
     {
       emit listChanged();
       QTimer::singleShot(0, this, SLOT(processItems()));
Comment 33 Bram Schoenmakers 2008-04-16 10:55:41 UTC
*** Bug 160882 has been marked as a duplicate of this bug. ***
Comment 34 Björn Ruberg 2009-12-24 14:46:16 UTC
So this is fixed?
Comment 35 Björn Ruberg 2010-04-06 00:23:27 UTC
Closing old KDE 3 crash